GNU Radio's FOSPHOR Package

Public Attributes | List of all members
fosphor Struct Reference
Private

`#include <private.h>`

## Public Attributes
struct fosphor_cl_state * | cl
struct fosphor_gl_state * | gl
int | flags
float | fft_win [FOSPHOR_FFT_LEN]
float * | img_waterfall
float * | img_histogram
float * | buf_spectrum
struct {
int db_ref
int db_per_div
float scale
float offset
} | power
struct {
double center
double span
} | frequency

## Member Data Documentation

## ◆ buf_spectrum

float* fosphor::buf_spectrum

## ◆ center

double fosphor::center

## ◆ cl

struct fosphor_cl_state* fosphor::cl

## ◆ db_per_div

int fosphor::db_per_div

## ◆ db_ref

int fosphor::db_ref

## ◆ fft_win

float fosphor::fft_win[FOSPHOR_FFT_LEN]

## ◆ flags

int fosphor::flags

## ◆

struct { ... } fosphor::frequency

## ◆ gl

struct fosphor_gl_state* fosphor::gl

## ◆ img_histogram

float* fosphor::img_histogram

## ◆ img_waterfall

float* fosphor::img_waterfall

## ◆ offset

float fosphor::offset

## ◆

struct { ... } fosphor::power

## ◆ scale

float fosphor::scale

## ◆ span

double fosphor::span

The documentation for this struct was generated from the following file:

- private.h